# Method: projects.locations.insightTypes.updateConfig

- [HTTP request](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/projects.locations.insightTypes/updateConfig#body.aspect)

Updates an InsightTypeConfig change. This will create a new revision of the config.

### HTTP request

`PATCH https://recommender.googleapis.com/v1/{insightTypeConfig.name=projects/*/locations/*/insightTypes/*/config}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `insightTypeConfig.name` | `string` Name of insight type config. Eg, projects/\[PROJECT_NUMBER\]/locations/\[LOCATION\]/insightTypes/\[INSIGHT_TYPE_ID\]/config |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `validateOnly` | `boolean` If true, validate the request and preview the change, but do not actually update it. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1/InsightTypeConfig`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1/InsightTypeConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).